SYD-ELF(1)

# NAME

syd-elf - print the paths of dynamic library dependencies

# SYNOPSIS

*syd-elf* _[-36bdhlrstv]_ _[-R root]_ _binary|script_

# DESCRIPTION

Given a binary, print the paths of dynamic library dependencies.

Given a script, print the paths of the dynamic library dependencies of the interpreter.

# OPTIONS

|[ *-h*
:< Display help and exit.

|[ *-R*
:< Specify alternative root directory.

|[ *-3*
:< Exit with success if the given binary is 32-bit.

|[ *-6*
:< Exit with success if the given binary is 64-bit.

|[ *-d*
:< Exit with success if the given binary is dynamically linked.

|[ *-s*
:< Exit with success if the given binary is statically linked.

|[ *-b*
:< Print the GNU build id of the file.

|[ *-l*
:< List the addresses and names of all symbols in the file.

|[ *-n* _[pattern]_
:< List the addresses and names of all symbols in the file whose name match the given pattern.

|[ *-r* _0x[address]_
:< Resolve the name of the symbol at the given address.

|[ *-t*
:< Print the type of the file as an abbreviation ("none" for none, "rel" for relocatable, "exe" for executable, "obj" for shared object, "core" for core file, "script" for scripts, and type value in hexadecimal if unknown).

|[ *-v*
:< Print the version of the file.

# SEE ALSO

_syd_(1), _syd_(2), _syd_(5), _syd-ldd(1), _ldd_(1)

*syd* homepage: https://sydbox.exherbolinux.org/

# AUTHORS

Maintained by Ali Polatel. Up-to-date sources can be found at
https://gitlab.exherbo.org/sydbox/sydbox.git and bugs/patches can be
submitted to https://gitlab.exherbo.org/groups/sydbox/-/issues. Discuss
in #sydbox on Libera Chat.
